Skip to main content

Mass Offers (logged in)

GET 

/client/users/:correlation_id/offers/mass

After logging in, view mass offers that have been configured for everyone as the audience. Mass offers may be triggered by any activation method (Auto Load, LTC, or Coupon Code), but may not include targeting on personal data such as age, gender, or postal code.

The response to this call also includes product targeting data reflecting information used on the client's product web pages. The productTargeting information provided in the response exactly reflects what can be set up in the ES Loyalty Console in creating an offer.

See the response code example below to see how the productTargeting works. The three main elements in the response for productTargeting are:

  1. groupOperator - "AND" or "OR", used to set the relationships between categories and subcategories.

  2. conditions - From the product catalog, the field allows different ways of specifying a product such as the brand, brand class, category, department, family, GTIN, primary vendor, or subcategory. The conditions also includes the conditionOperator (see next point) and every selected value for each of the conditions.

  3. conditionOperator - "IN" or "NOT IN", determine whether the product is contained in or is specifically not in the category defined in field.

Using the groupOperator, complex and nested logic may be constructed to very specifically define the productTargeting in the Mass Offer.

Note: If the maxResults query parameters is not passed or is not a valid value, then the maximum number of offers returned will be the default set in configuration. If maxResults is set, up to 100 offers can be returned.

Query Parameters

You can add query parameters to provide query information at the end of the request URL and refine your search.

ParameterDescriptionFormatNote
businessUnitBusiness unit associated with the mass offersString. Name of business unit.Name of business unit. Ex.: /offers/mass?businessUnit=BUYCO
maxResultsMaximum number of mass offers returnedNumberIf the number > 100, then the API returns the first 100. Ex.: /offers/mass?maxResults=20
reportingIdentifierThe identifier for the type of report that should be generatedStringEx.: offers/mass?reportingIdentifier=DIGITAL_PERSONALIZED_OFFER
localeLocale of the offer(s) returned in the responseString, values currently supported are: "en-CA", "en-US" and "fr-CA"; "EN" and "FR" can be used as well, but only for the member record (on the account level)Optional. Priority order: (1) this query parameter; (2) locale set on the account; (3) environment locale. If locale is not provided or is not a valid value, system default ("en-CA") is used.
channelThe channel through which these mass offers are distributedEnum, commonly-used values: STORE, POS, WEBSITE, APP, PARTNEREx.: /offers/mass?channel=APP
businessUnitSpecify a business unit for the offers returned.StringCan provide name of one businessUnit (only data for that BU is returned) or more than one by having a "businessUnit" name value and query parameter for each. If this parameter is not used, then offers for all BUs are returned.

Query Parameter Examples
{{env_host}}/client/users/{{correlation_id}}/offers/mass?businessUnit=BUYCO
{{env_host}}/client/users/{{correlation_id}}/offers/mass?maxResults=50
{{env_host}}/client/users/{{correlation_id}}/offers/mass?reportingIdentifier=CATEGORY_MASS
{{env_host}}/client/users/{{correlation_id}}/offers/mass?locale=en-CA&maxResults=20
{{env_host}}/client/users/{{correlation_id}}/offers/mass?channel=APP

Request

Body

There is no body.

Response

AttributeDefinitionFormatNotes
idThe offer IDString
typeThe type of offerEnum: "FLAT", "MULTIPLIER" or "PERCENTAGE"FLAT = rewards exact number of points when reward fires; MULTIPLIER = reward a multiple of base points; PERCENTAGE = reward a number of points based on the eligible spend equivalent to the percentage spent
rankSets the ranking priority of the offerNumber: 0-9Smaller numbers are higher ranks
shortDescription1Additional field for offer copyStringAny string value that is valid per corresponding regex restriction
shortDescription2Additional field for offer copyStringAny string value that is valid per corresponding regex restriction
longDescriptionOffer description used for displayStringAny string value that is valid per corresponding regex restriction
promotionHeadlinePrimary offer title copy used for displayStringAny string value that is valid per corresponding regex restriction
tcMessageThe Terms and Conditions messageString
expirationDateThe date on which the offer expires in ISO 8601 format.String
effectiveDateThe date on which the offer becomes effective in ISO 8601 format.String
smallImageURIURI of small imageStringAny string value that is valid per corresponding regex restriction
largeImageURIURI of large imageStringAny string value that is valid per corresponding regex restriction
smallHDImageURIURI of small high-definition imageStringAny string value that is valid per corresponding regex restriction
largeHDImageURIURI of large high-definition imageStringAny string value that is valid per corresponding regex restriction
rewardAmountThe amount of the rewardNumber
rewardDescriptionDescription of the reward to be hadStringFor instance: "Spend 20, get 500 points."
promptMessageIDsContains ID of messages for the POS operator or member associated with the offer displayedArray
productTargetingAllows product targeting for Mass Offer, either by using a list or query logic.ObjectUsed to highlight offers on specified product or category pages , targeting products at the SKU level
For product targeting using a listThe following field is used with list-based targeting.
fileNameThe name of the list used for product targeting.StringFile is in CSV format; multiple file versioning in the case of multiple list files is supported
For product targeting using query logicThe following fields are used with logic-based targeting.
groupHighest-level logical grouping of product informationObject
groupOperatorDefines the logical relationship between elements in the groupEnum: "AND" or "OR"
conditionsArray
fieldA classifier for the product such as "BRAND", "FAMILY", "PRIMARYVENDOR".StringOther examples: "BRANDCLASS", "CATEGORY", "GTIN", "DEPARTMENT", or "SUBCATEGORY"
conditionOperatorEnum: "IN", "NOT IN", "EQUAL", "NOT EQUAL"Options for conditionOperator depend on field selected
valueThe value associated with the field such as a Brand or Department designator or GTIN number.String
subgroupsSubcategories within the groups.Array

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400 Bad RequestReporting identifier {{reportingIdentifier}} is not a valid reporting identifier.INVALID_REPORTING_IDENTIFIER
400 Bad RequestInvalid business unit(s) provided.INVALID_BUSINESS_UNIT
400 Bad RequestLocale {{locale}} is not a valid locale.INVALID_REQUEST

Request

Responses

200 - Mass Offers Returned with No Product Targeting